
function init() {
  var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

  try {
    var checkboxes = ["showTooltips"]; 

    for (var i = 0; i < checkboxes.length; ++i) {
      var checkbox = document.getElementById(checkboxes[i]);
      checkbox.checked = pref.getBoolPref(checkbox.getAttribute("prefstring"));
    }

    var INTtextboxes = ["tabMaxSize"];
    for (var i = 0; i < INTtextboxes.length; ++i) {
    	var textbox = document.getElementById(INTtextboxes[i]);
    	var prefstring = textbox.getAttribute("prefstring");
    	textbox.value = pref.getIntPref(prefstring);
    }
    /*
    var STRtextboxes = ["exclude", "AVLoc", "ArgsBox"];
    for (var i = 0; i < STRtextboxes.length; ++i) {
    	var textbox = document.getElementById(STRtextboxes[i]);
    	var prefstring = textbox.getAttribute("prefstring");
    	textbox.value = pref.getCharPref(prefstring);
    }*/


  } catch (e) {}
  
}

function saveSettings() {

  var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

  var checkboxes = ["showTooltips"]; 
  for (var i = 0; i < checkboxes.length; ++i) {
    var checkbox = document.getElementById(checkboxes[i]);
    pref.setBoolPref(checkbox.getAttribute("prefstring"), checkbox.checked);
  }
  
  var tabSize = document.getElementById("tabMaxSize").value;
  if(tabSize < 30 | tabSize > 1000) {
  	alert("Tab Max size out of range");
  	return false;
  }
  var INTtextboxes = ["tabMaxSize"];
  for (var i = 0; i < INTtextboxes.length; ++i) {
  	var textbox = document.getElementById(INTtextboxes[i]);
  	pref.setIntPref(textbox.getAttribute("prefstring"), textbox.value);
  }

/*
  var STRtextboxes = ["exclude", "AVLoc", "ArgsBox"];
  for (var i = 0; i < STRtextboxes.length; ++i) {
  	var textbox = document.getElementById(STRtextboxes[i]);
  	pref.setCharPref(textbox.getAttribute("prefstring"), textbox.value);
  }


  // Now get a reference to the main window and reset the new display
  try {
  	var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
  	var wrecent = wm.getMostRecentWindow("navigator:browser");
  	wrecent.sst_resetTabs();
  }
  catch (e){}
*/
  return true;
}